<?php
/**
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 */
class SimpleListsViewImages extends JView
{
	function display($tpl = null)
	{
		JResponse::allowCache(false);

		JHTML::_('stylesheet', 'popup-imagelist.css', 'administrator/components/com_media/assets/');
		JHTML::_('stylesheet', 'images.css', 'administrator/components/com_simplelists/css/');
		JHTML::_('script', 'images.js', 'administrator/components/com_simplelists/js/');
		JHTML::_('behavior.mootools');
		JHTML::_('behavior.modal');

		$this->assign('baseURL', COM_SIMPLELISTS_BASEURL );
		$this->assignRef('images', $this->get('images'));
		$this->assignRef('folders', $this->get('folders'));
		$this->assignRef('state', $this->get('state'));

		parent::display($tpl);
	}

	function setFolder($index = 0)
	{
		if (isset($this->folders[$index])) {
			$this->_tmp_folder = &$this->folders[$index];
		} else {
			$this->_tmp_folder = new JObject;
		}
	}

	function setImage($index = 0)
	{
		if (isset($this->images[$index])) {
			$this->_tmp_img = &$this->images[$index];
		} else {
			$this->_tmp_img = new JObject;
		}
	}
}
