<?php 
defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');
JHTML::_('behavior.modal', 'a.modal-button');

// Set toolbar items for the page
$edit = JRequest::getVar('edit',true);
$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );
JToolBarHelper::title( JText::_( 'SimpleLists' ).' - '.JText::_( 'Item' ).': <small>[ ' . $text.' ]</small>' );
JToolBarHelper::save();
JToolBarHelper::apply();
if (!$edit)  {
    JToolBarHelper::cancel();
} else {
    JToolBarHelper::cancel( 'cancel', 'Close' );
}
//JToolBarHelper::help( 'screen.simplelist.edit' );

$ids = array( 0, 1, 2, 3, 4 );
foreach( $ids as $i => $j ) {
    if( $j == $this->item->link_type ) {
        $current_accordion = $i ;
        break ;
    }
}
?>

<script language="javascript" type="text/javascript">
    <!--
    var image_directory = '<?php echo $this->item->image_directory ?>';
    function submitbutton(pressbutton) {
        var form = document.adminForm;
        if (pressbutton == 'cancel') {
            submitform( pressbutton );
            return;
        }

        // do field validation
        if (form.title.value == ""){
            alert( "<?php echo JText::_( 'Please provide a valid title', true ); ?>" );
        } else {
            submitform( pressbutton );
        }
    }

    window.addEvent('domready', function() {
        var accordion_title = new Accordion('label.simplelists_link', 'div.simplelists_link_inner', {
            opacity: false,
            display: <?php echo $current_accordion; ?>,
            onActive: function(toggler, element){
                toggler.setStyle('font-weight', 'bold');
            },
            onBackground: function(toggler, element){
                toggler.setStyle('font-weight', 'normal');
            }
        }, $('adminForm'));
    });

    window.addEvent('domready', function() {
        var accordion_radio = new Accordion('input.simplelists_link', 'div.simplelists_link_inner', {
            opacity: false, 
            display: <?php echo $current_accordion; ?>,
            onActive: function(toggler, element){
                var label = toggler.id + "_label" ;
                $(label).setStyle('font-weight', 'bold');
            },
            onBackground: function(toggler, element){
                var label = toggler.id + "_label" ;
                $(label).setStyle('font-weight', 'normal');
            }
        }, $('adminForm'));
    });
    -->
</script>
<style type="text/css">
    div.simplelists_link_inner {
        visibility: none;
    }
    table.paramlist td.paramlist_key {
        width: 92px;
        text-align: left;
        height: 30px;
    }
</style>

<form method="post" name="adminForm" id="adminForm">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="50%" valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Details' ); ?></legend>
        <table class="admintable">
        <tr>
            <td width="100" align="right" class="key">
                <label for="title">
                    <?php echo JText::_( 'Name' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="title" id="title" size="48" maxlength="250" value="<?php echo $this->item->title;?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <?php echo JText::_( 'Published' ); ?>:
            </td>
            <td>
                <?php echo $this->lists['published']; ?>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="categories">
                    <?php echo JText::_( 'Categories' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['categories']; ?>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="ordering">
                    <?php echo JText::_( 'Ordering' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['ordering']; ?>
            </td>
        </tr>
    </table>
    </fieldset>
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Text' ); ?></legend>
        <table class="admintable" width="100%">
        <tr>
            <td>
                <?php
                $editor =& JFactory::getEditor();
                echo $editor->display( 'text', $this->item->text, '100%', '300', '44', '9' ) ;
                ?>
            </td>
        </tr>
        </table>
    </fieldset>
</td>
<td valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Image' ); ?> [<?php echo $this->item->image_directory;?>]</legend>
        <table class="admintable">
        <tr>
            <td>
                <input type="text" id="picture_name" value="<?php echo $this->item->picture; ?>" disabled="disabled" />
                <input type="hidden" id="picture" name="picture" value="<?php echo $this->item->picture; ?>" />
            </td>
            <td>
                <a class="modal-button" title="<?php echo JText::_('Select an Image') ?>" href="<?php 
                    echo $this->modal['image']; ?>&folder=<?php echo dirname( $this->item->picture ); ?>&type=picture" rel="{handler: 'iframe', size: {x: 650, y: 375}}">
                    <?php echo JText::_('Select an Image') ?>
                </a>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <?php 
                if( JFile::exists( JPATH_SITE.DS.$this->item->image_directory.DS.$this->item->picture )) {
                    echo '<img src="../' . $this->item->image_directory . '/' . $this->item->picture . '" name="item_picture" />' ;
                } else {
                    echo '<img src="images/blank.png" alt="' . JText::_( 'No image' ) . '" name="item_picture" />' ;
                } ?>
            </td>
        </tr>
        </table>
    </fieldset>
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Link settings' ); ?></legend>
        <table class="admintable" width="100%">
        <?php foreach( $ids as $i ) { ?>
        <tr>
            <td valign="top" align="right" class="key">
                <?php $checked = ($i == $this->item->link_type) ? 'checked' : '' ; ?>
                <input type="radio" class="simplelists_link" id="link_type_<?php echo $i; ?>" name="link_type" value="<?php echo $i; ?>" <?php echo $checked; ?> />
            </td>
            <td>
                <label class="simplelists_link" for="link_type_<?php echo $i; ?>" id="link_type_<?php echo $i; ?>_label">
                    <?php echo SimplelistsHelper::getLinkType( $i ); ?><p/>
                </label>
                <div class="simplelists_link_inner" id="simplelists_link_inner<?php echo $i; ?>">
                <?php if( $i == 1 ) { ?>
                    <input class="text_area" type="text" name="link_external" id="link_external" value="<?php echo $this->item->custom_link; ?>" size="48" maxlength="250" />
                <?php } elseif( $i == 2 ) { ?>
                    <?php 
                    $menu_links = JHTML::_( 'menu.linkoptions' ); 
                    echo JHTML::_('select.genericlist', $menu_links, 'link_menu', 'class="inputbox" size="1"', 'value', 'text', intval( $this->item->link ) );
                    ?>
                <?php } elseif( $i == 3 ) { ?>
                    <div style="float:left;">
                        <input type="text" id="link_article_name" value="<?php echo $this->item->article_name ?>" disabled="disabled" />
                    </div>
                    <div class="button2-left">
                        <div class="blank">
                            <a class="modal-button" title="<?php echo JText::_('Select an Article') ?>" href="<?php 
                                echo $this->modal['article']; ?>" rel="{handler: 'iframe', size: {x: 650, y: 375}}">
                                <?php echo JText::_('Select an Article') ?>
                            </a>
                        </div>
                    </div>
                    <input type="hidden" id="link_article" name="link_article" value="<?php echo (int)$this->item->link; ?>" />
                    <div style="clear:both"></div>
                <?php } elseif( $i == 4 ) { ?>
                    <div style="float:left;">
                        <input type="text" id="link_image_name" value="<?php echo $this->item->image_name ?>" disabled="disabled" />
                    </div>
                    <div class="button2-left">
                        <div class="blank">
                            <a class="modal-button" title="<?php echo JText::_('Select an Image') ?>" href="<?php 
                                echo $this->modal['image']; ?>&type=link_image" rel="{handler: 'iframe', size: {x: 650, y: 375}}">
                                <?php echo JText::_('Select an Image') ?>
                            </a>
                        </div>
                    </div>
                    <input type="hidden" id="link_image" name="link_image" value="<?php echo $this->item->image_name ?>" />
                <?php } elseif( $i == 5 ) { ?>
                    <div style="float:left;">
                        <input type="text" id="filename" value="<?php echo $this->item->file_name ?>" disabled="disabled" />
                    </div>
                    <div class="button2-left">
                        <div class="blank">
                            <a class="modal-button" title="<?php echo JText::_('Select a File') ?>" href="<?php 
                                echo $this->modal['file']; ?>" rel="{handler: 'iframe', size: {x: 650, y: 375}}">
                                <?php echo JText::_('Select a File') ?>
                            </a>
                        </div>
                    </div>
                    <input type="hidden" id="link_file" name="link_file" value="<?php echo $this->item->file_name ?>" />
                <?php } ?>
                <p/>&nbsp;<p/>
                </div>
            </td>
        </tr>
        <?php } ?>
      </table>
    </fieldset>
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Parameters' ); ?></legend>
        <table class="admintable">
        <tr>
            <td colspan="2">
                <?php echo $this->params->render();?>
            </td>
        </tr>
        </table>
    </fieldset>
</td>
</tr>
</table>

<input type="hidden" name="option" value="com_simplelists" />
<input type="hidden" name="cid[]" value="<?php echo $this->item->id; ?>" />
<input type="hidden" name="task" value="" />
<?php echo JHTML::_( 'form.token' ); ?>
</form>
