<?php defined('_JEXEC') or die('Restricted access'); ?>

<?php JHTML::_('behavior.tooltip'); ?>

<?php
// Set toolbar items for the page
$edit = JRequest::getVar('edit',true);
$text = !$edit ? JText::_( 'New' ) : JText::_( 'Edit' );
JToolBarHelper::title( JText::_( 'Item' ).': <small>[ ' . $text.' ]</small>' );
JToolBarHelper::save();
JToolBarHelper::apply();
if (!$edit)  {
    JToolBarHelper::cancel();
} else {
    JToolBarHelper::cancel( 'cancel', 'Close' );
}
//JToolBarHelper::help( 'screen.simplelist.edit' );
?>

<script language="javascript" type="text/javascript">
    <!--
    function changeDisplayImage() {
        if (document.adminForm.picture.value !='') {
            document.adminForm.imagelib.src='../<?php echo $this->simplelist->image_directory ?>/' + document.adminForm.picture.value;
        } else {
            document.adminForm.imagelib.src='images/blank.png';
        }
    }

    function submitbutton(pressbutton) {
        var form = document.adminForm;
        if (pressbutton == 'cancel') {
            submitform( pressbutton );
            return;
        }

        // do field validation
        if (form.title.value == ""){
            alert( "<?php echo JText::_( 'Please provide a valid title', true ); ?>" );
        } else if (form.catid.value == "0"){
            alert( "<?php echo JText::_( 'Please provide a valid category', true ); ?>" );
        } else {
            submitform( pressbutton );
        }
    }
    -->
</script>
<style type="text/css">
    table.paramlist td.paramlist_key {
        width: 92px;
        text-align: left;
        height: 30px;
    }
</style>

<form action="index.php" method="post" name="adminForm" id="adminForm">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
<tr>
<td width="50%" valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Details' ); ?></legend>
        <table class="admintable">
        <tr>
            <td width="100" align="right" class="key">
                <label for="title">
                    <?php echo JText::_( 'Name' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="title" id="title" size="48" maxlength="250" value="<?php echo $this->simplelist->title;?>" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <?php echo JText::_( 'Published' ); ?>:
            </td>
            <td>
                <?php echo $this->lists['published']; ?>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="catid">
                    <?php echo JText::_( 'Category' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['catid']; ?>
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="url">
                    <?php echo JText::_( 'URL' ); ?>:
                </label>
            </td>
            <td>
                <input class="text_area" type="text" name="url" id="url" value="<?php echo $this->simplelist->url; ?>" size="48" maxlength="250" />
            </td>
        </tr>
        <tr>
            <td valign="top" align="right" class="key">
                <label for="ordering">
                    <?php echo JText::_( 'Ordering' ); ?>:
                </label>
            </td>
            <td>
                <?php echo $this->lists['ordering']; ?>
            </td>
        </tr>
    </table>
    </fieldset>
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Text' ); ?></legend>
        <table class="admintable" width="100%">
        <tr>
            <td>
                <?php
                $editor =& JFactory::getEditor();
                echo $editor->display( 'text', $this->simplelist->text, '100%', '300', '44', '9' ) ;
                ?>
            </td>
        </tr>
        </table>
    </fieldset>
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Image' ); ?> [<?php echo $this->simplelist->image_directory;?>]</legend>
        <table class="admintable">
        <tr>
            <td><?php echo $this->lists['pictures'] ; ?></td>
        </tr>
        <tr>
            <td>
                <?php 
                if( $this->simplelist->picture == '' ) {
                    echo "<img alt=\"" . JText::_( 'No image' ) . "\" name=\"imagelib\" />" ;
                } else {
                    echo "<img src=\"../" . $this->simplelist->image_directory . "/" . $this->simplelist->picture . "\" name=\"imagelib\" />" ;
                } ?>
            </td>
        </tr>
        </table>
    </fieldset>
</td>
<td valign="top">
    <fieldset class="adminform">
        <legend><?php echo JText::_( 'Parameters' ); ?></legend>
        <table class="admintable">
        <tr>
            <td colspan="2">
                <?php echo $this->params->render();?>
            </td>
        </tr>
        </table>
    </fieldset>
</td>
</tr>
</table>

<input type="hidden" name="option" value="com_simplelists" />
<input type="hidden" name="cid[]" value="<?php echo $this->simplelist->id; ?>" />
<input type="hidden" name="task" value="" />
</form>
